upgrade kernel impossible

2 replies [Last post]
obscurité
Offline
Joined: 04/24/2014

Bonjour,
je n'arrive pas à faire une mise à jour du noyau:
J'ai le message suivant:

~$: sudo apt-get upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages have been kept back:
linux-image-generic-lts-trusty
0 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.

~$:

qu'est ce que ça veut dire?

Magic Banana

I am a member!

Offline
Joined: 07/24/2010

Probablement que le paquet "linux-image-generic-lts-trusty" dépend d'un paquet qui ne peut pas être installé (peut-être que la dépendance n'existe pas dans le dépôt à cause d'une erreur humaine). Je n'ai pas ce problème mais je suis en architecture 32 bits (une erreur d'inattention de ma part).

Toujours est-il que ce n'est vraiment pas grave. "linux-image-generic-lts-trusty" est ce qu'on appelle un méta-paquet. Il n'installe rien en lui même mais dépend d'autres paquets. En l'occurrence, "linux-image-generic-lts-trusty" dépend de la dernière version du noyau nettoyé à partir de celui d'Ubuntu 14.04 LTS Trusty Tahr. Tu peux donc installer par toi même le paquet correspondant à cette version du noyau. Il s'agit de "linux-image-3.13.0-34-generic". Si cela ne fonctionne pas (c'est alors la raison du problème), installe la version précédente (si ce n'est pas déjà celle que tu utilises) et attends que le problème soit résolu.

obscurité
Offline
Joined: 04/24/2014

ça m'inquiétait un peu de ne pas avoir quelchose à jour mais puisque tu me dis que ce n'est pas grave...

merci!